package org.springblade.modules.api.controller;

import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springblade.common.constant.CommonConstant;
import org.springblade.core.tool.api.R;
import org.springblade.modules.business.entity.FacilityCargoWay;
import org.springblade.modules.business.service.IFacilityCargoWayService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RestController
@AllArgsConstructor
@RequestMapping(CommonConstant.API_URL + "/cargo-way")
@Api(value = "货道管理接口", tags = "货道管理接口")
public class ApiFacilityCargoWayController {

    private final IFacilityCargoWayService iFacilityCargoWayService;

    /**
     * 设置货道商品
     */
    @PostMapping("/goods/setting")
    @ApiOperationSupport(order = 6)
    @ApiOperation(value = "设置货道商品", notes = "传入facilityCargoWay")
    public R<Void> submit(@Valid @RequestBody FacilityCargoWay facilityCargoWay) {
        return R.status(iFacilityCargoWayService.saveOrUpdate(facilityCargoWay));
    }


}
